Package org.picocontainer

# Interface InjectionFactory

All Superinterfaces:
  `ComponentFactory`

All Known Implementing Classes:
  `AbstractInjectionFactory`, `AdaptingInjection`, `AnnotatedFieldInjection`, `AnnotatedMethodInjection`, `CompositeInjection`, `ConstructorInjection`, `ForgetfulConstructorInjection`, `MethodInjection`, `MethodInjection.MethodInjectionByName`, `MethodInjection.MethodInjectionByReflectionMethod`, `MultiInjection`, `NamedFieldInjection`, `NamedMethodInjection`, `Reinjection`, `SetterInjection`, `TypedFieldInjection`

public interface InjectionFactory extends ComponentFactory

## Method Summary

### Methods inherited from interface org.picocontainer.ComponentFactory

`accept, createComponentAdapter, verify`